Subject: Re: bug#18393: mm-view-pkcs7-verify ignores mml-smime-use

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 16:26:25 +0200

Jens Lechtenboerger <[email-masked]> writes:

> On 2019-09-25, Lars Ingebrigtsen wrote:
>
>> (setq smime-CA-file "/tmp/carldssself.pem")
>>
>> I get a blank article buffer.
>
> Same here.

I've now fixed this on the trunk.

>> [...]
>> (defun mm-view-pkcs7-verify (handle)
>>    ...)
>>
>> because this is "signed", not "enveloped".  I'm not very familiar with
>> this stuff...  but the mm-view-pkcs7-verify function just verifies the
>> data and doesn't return anything, which explains why I'm getting an
>> empty article buffer.  But why is this ever useful?  It seems odd,
>> doesn't it?
>>
>> Is the -verify function also supposed to return the decoded text?
>> (Which is "This is some sample content.".)
>
> Function mm-view-pkcs7-verify calls (mm-insert-part handle), which
> somehow deals with the text for subsequent display.

But that's just the raw data that's supposed to be verified.  "openssl
smime" outputs the actual verified data, so I've adjusted the callers to
return that.

In addition, whatever that function inserted in that buffer was just
discarded.

*phew*

OK, so now it works for the case you weren't using, so now I can start
working on the actual bug report.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no